<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta charset="utf-8">
    <title>Messenger</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>{% block title %}Messenger App{% endblock title %}</title>
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark mb-4">
        <a href="{% url 'index' %}" class="navbar-brand">Home</a>
        {% if user.is_authenticated %}
        <ul class="navbar-nav mr-auto">
            <li class="nav-item"><a href=""> + Message</a></li>
        </ul>
        {% endif %}
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target='#navbarCollapse' aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation" >
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapsse">
            {% if user.is_authenticated %}
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a href="#" class="nav-link dropdown-toggle" id="userMenu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            {{ user.email }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
                            <a href="" class="dropdown-item">Change password</a>
                            <div class="dropdown-divider"></div>
                            <a href="{% url 'account:logout' %}" class="btn btn-outline-secondary">Log out</a>
                        </div>
                    </li>
                </ul>
            {% else %}
                <form action="" class="form-inline ml-auto">
                    <a href="{% url 'account:login' %}" class="btn btn-outline-secondary"> Log in</a>
                    <a href="{% url 'account:signup' %}" class="btn btn-primary ml-2">Sign up</a>
                </form>
            {% endif %}    
        </div>
    </nav>
    <div class="container">
        {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                    <div class="container-fluid p-0">
                        <div class="alert {{ message.tags }} alert-dismissible" role="alert" >
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span></button>{{ message }}
                        </div>
                    </div>
                {% endfor %}
            </ul>
        {% endif %}
        {% block content %}
        {% endblock %}
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>